Package org.gradle.tooling

# Interface Supplier<T>

Type Parameters:
  `T` - the type of the value

@Incubating public interface Supplier<T>
A value supplier. The Tooling API needs to be comatible with Java 7, therefore we cannot use the `Supplier` interface.

Since:
  8.12

- ## Method Summary

  Modifier and Type
  Method
  Description
  `T`
  `get()`
  Returns the value.

- ## Method Details

  - ### get

    T get()
    Returns the value.
    Returns:
      the value
    Since:
      8.12